> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List platforms

> Retrieves a list of available data integration platforms, each including its identifier, name, categories, vendor, logo, editions, extensions, and APIs. Accepts an optional filter query parameter to narrow results by search criteria.



## OpenAPI

````yaml /schema.json get /di/platforms
openapi: 3.1.0
info:
  version: 01M4TM0V238VNK5CNA4RW4RW77
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/platforms:
    get:
      tags:
        - Di
      summary: List platforms
      description: >-
        Retrieves a list of available data integration platforms, each including
        its identifier, name, categories, vendor, logo, editions, extensions,
        and APIs. Accepts an optional filter query parameter to narrow results
        by search criteria.
      operationId: getPlatformList
      parameters:
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of platforms
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiPlatformListResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiPlatformListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/DiPlatformList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    DiPlatformList:
      type: array
      items:
        type: object
        properties:
          identifier:
            type: string
          name:
            type: string
          categories:
            type: array
            items:
              type: string
            uniqueItems: true
          logo:
            type: string
            format: uri
          vendor:
            type: string
          editions:
            type: object
          extensions:
            type: object
          apis:
            type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.